"""Setup script for Issue7833 test.

Requires Python 2.6.4 for Windows with Issue4120 patch applied.

Run `python setup.py bdist_wininst`, then `dist\testpyd-0.0.0.win32-py2.6.exe`

Postinstall script fails with:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: DLL load failed: The specified module could not be found.

"""

from distutils.core import setup, Extension

setup(name='testpyd',
    scripts = ["testpyd_postinstall.py"],
    ext_modules=[Extension('testpyd', ['testpyd.c'],)],
    options = {"bdist_wininst": {"install_script": "testpyd_postinstall.py",
                                 "user_access_control": "auto"},}
)
